View all methods

snapshots.snapshotTeams

List the Snapshot Team objects available for a selected snapshot.

Facts

Method GET https://api.getdx.com/snapshots.snapshotTeams
Required scope snapshots:read

Arguments

Name Type Description
token Token Auth token passed as an HTTP header.
snapshot_id Text The unique ID of the snapshot to query.

Example request

This request lists the snapshot teams for one snapshot:

curl -X GET 'https://api.getdx.com/snapshots.snapshotTeams?snapshot_id=<SNAPSHOT_ID>' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "snapshot_teams": [
    {
      "id": "NTIxNDc",
      "name": "Platform",
      "team_id": "NTA1ODI",
      "membership_count": 40,
      "manager": {
        "id": "NTEyMDUw",
        "name": "Alex Lee",
        "email": "alex.lee@example.com"
      },
      "parent_id": null
    },
    {
      "id": "NTIzMTM",
      "name": "Integrations",
      "team_id": "NTA1ODg",
      "membership_count": 34,
      "manager": {
        "id": "NTEyMDUx",
        "name": "Jane Doe",
        "email": "jane.doe@example.com"
      },
      "parent_id": "NTIxNDc"
    },
    {
      "id": "NTI5Njc",
      "name": "Analytics",
      "team_id": "NTA1OTI",
      "membership_count": 6,
      "manager": null,
      "parent_id": "NTIxNDc"
    }
  ]
}

Response fields

Each item in snapshot_teams is a Snapshot Team object.

Errors

Check ok in every response. If it is false, use the error code to identify the problem.

Error Description
not_authed No authentication token provided.
invalid_auth DX cannot validate the authentication credentials.
invalid_arguments A required argument is missing or invalid.
not_found The snapshot does not exist for the current account.